#ifndef PLAYERS_H

#define PLAYERS_H

#define MAX_PLAYERS 25
#define MAX_SIMULT_PLAYERS 10
#define MAX_LEN_PLAYER_NAME 16
#define MAX_REQUESTS 10

typedef struct stock_player_s stock_player_t;
typedef struct player_s player_t;

struct stock_player_s {
   cid_t cid;
   qty_t qty;     
   struct stock_player_s *next;
};

struct player_s {
   char *name;
   int client, client2;
   char status;                /* 1 : connected ; 0 : disconnected */
   slot_t slot;
   passwd_t passwd;
   plid_t plid;               /* unique id of the player */
   cash_t cash;               /* liquid resources of the player */
   stock_player_t *holding[HASHSIZE]; /* hash table of player holdings */
};

#endif /* PLAYERS_H */
